Name:           scsi-target-utils
Version:        0.9.2
Release:        5.1
Summary:        The SCSI target daemon and utility programs

Group:          System Environment/Daemons
License:        GPLv2
Source0:        tgt-%{version}.tar.bz2
Source1:        tgtd.init
Patch0:         tgt-20080805-shebang.patch
Patch1:         tgt-0.9.2-restore-tgtadm-bind-option.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-root

BuildRequires:  openssl-devel pkgconfig

%description
The SCSI target package contains the daemon and tools to setup a SCSI targets.
Currently, software iSCSI targets are supported.

%prep
%setup -q -n tgt-%{version}
%patch0 -p1
%patch1 -p1
%{__chmod}  0644 scripts/tgt-core-test

%build
if pkg-config openssl ; then
        CPPFLAGS=$(pkg-config --cflags openssl) ; export CPPFLAGS
        LDFLAGS=$(pkg-config --libs openssl) ; export LDFLAGS
fi
pushd usr
%{__sed} -i -e 's|-g -O2|%{optflags}|' Makefile
%{__make} %{?_smp_mflags} ISCSI=1

%install
%{__rm} -rf %{buildroot}
%{__install} -d %{buildroot}%{_sbindir}
%{__install} -d %{buildroot}%{_mandir}/man8
%{__install} -d %{buildroot}%{_initrddir}

%{__install} -p -m 0755 %{SOURCE1} %{buildroot}%{_initrddir}/tgtd
%{__install} -p -m 0755 scripts/tgt-admin %{buildroot}/%{_sbindir}/tgt-admin
%{__install} -p -m 0644 doc/manpages/tgtadm.8 %{buildroot}/%{_mandir}/man8
%{__install} -p -m 0644 doc/manpages/tgt-admin.8 %{buildroot}/%{_mandir}/man8

pushd usr
%{__make} install DESTDIR=%{buildroot}

%post
/sbin/chkconfig --add tgtd

%postun
if [ "$1" = "1" ] ; then
     /sbin/service tgtd condrestart > /dev/null 2>&1
fi

%preun
if [ "$1" = "0" ] ; then
     /sbin/chkconfig tgtd stop > /dev/null 2>&1
     /sbin/chkconfig --del tgtd
fi

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, -)
%doc README doc/README.iscsi scripts/tgt-core-test
%{_sbindir}/tgtd
%{_sbindir}/tgtadm
%{_sbindir}/tgt-setup-lun
%{_sbindir}/tgt-admin
%{_sbindir}/mktape
%{_sbindir}/dump_tape
%{_mandir}/man8/*
%{_initrddir}/tgtd

%changelog
